# Uses of Class
net.shibboleth.idp.cas.config.ValidateConfiguration

Packages that use ValidateConfiguration
Package
Description
net.shibboleth.idp.cas.flow.impl
CAS protocol flow implementations.

## Uses of ValidateConfiguration in net.shibboleth.idp.cas.flow.impl

Fields in net.shibboleth.idp.cas.flow.impl declared as ValidateConfiguration
Modifier and Type
Field
Description
`private ValidateConfiguration`
ValidateProxyCallbackAction.`validateConfig`
Profile config.
`private ValidateConfiguration`
ValidateTicketAction.`validateConfig`
Profile config.
`private ValidateConfiguration`
PrepareTicketValidationResponseAction.`validateConfiguration`
Profile configuration.
Fields in net.shibboleth.idp.cas.flow.impl with type parameters of type ValidateConfiguration
Modifier and Type
Field
Description
`private final ConfigLookupFunction<ValidateConfiguration>`
PrepareTicketValidationResponseAction.`configLookupFunction`
Profile configuration lookup function.
`private final ConfigLookupFunction<ValidateConfiguration>`
ValidateProxyCallbackAction.`configLookupFunction`
Profile configuration lookup function.
`private final ConfigLookupFunction<ValidateConfiguration>`
ValidateTicketAction.`configLookupFunction`
Profile configuration lookup function.